<template>
  <nav
    class="navbar navbar-expand-lg navbar-light bgBleu position-fixed col-12"
    style="margin-top: -4em; z-index: 1"
  >
    <div class="container-fluid">
      <a class="col-8 col-md-2" href="#">
        <img class="w-75" src="../../public/logo_aplati.png" alt="" />
      </a>
      <button
        class="navbar-toggler"
        type="button"
        data-bs-toggle="collapse"
        data-bs-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0 col-9">
          <li class="nav-item">
            <a class="nav-link" href="#">Accueil</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Événements</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Mon compte</a>
          </li>
        </ul>
        <form class="d-flex">
          <input
            class="form-control me-2"
            type="search"
            placeholder="Search"
            aria-label="Search"
          />
          <button class="btn btn-search btn-outline-success ml-2" type="submit">
            Search
          </button>
        </form>
      </div>
    </div>
  </nav>
</template>

<script>
export default {
  name: "navbar",
  props: {
    msg: String,
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.bgBleu {
  background-color: #04999f !important;
}

.bgJaune {
  background-color: #e3e63e;
}

.btn-search {
  border: 1px solid black;
  color: black !important;
}

.btn-search:hover {
  background-color: #04999f;
  border: 1px solid #e3e63e;
  color: white !important;
}
</style>